/* therm.h */

#ifndef _THERM_H_
#define _THERM_H_

#include "common.h"

void therm_init(void);
void therm_read(void);
temp_t therm_coldtemp(void);
temp_t therm_temp(void);
uint8_t therm_fault(void);
temp_t therm_reduce(int32_t);

#define INVALID_TEMPERATURE 0xffff

#endif
